Bug 1561180 - upstream : Unable to add openshift provider with metrics ON as metrics validation never enables.
Summary: upstream : Unable to add openshift provider with metrics ON as metrics valida...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-27 20:27 UTC by Shveta
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Validation disabled (105.79 KB, image/png)
2018-03-27 20:27 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:37 UTC

Description Shveta 2018-03-27 20:27:24 UTC
Created attachment 1413892 [details]
Validation disabled

Description of problem: When trying to add a container provider on upstream build , The 'Validate' button never enables , hence not able to add provider with metrics ON.

Version-Release number of selected component (if applicable):
master.20180323234811_4d6b447

How reproducible:


Steps to Reproduce:
1. Add a openshift provider --> Compute - Containers- Providers -- add a new provider .
2. Fill the default tab and enable metrics and alerts .
3. In the metrics tab , fill data , Validate button never enables , so Save provider button at the bottom remains disabled .
See attached screenshot.
Actual results:


Expected results:


Additional info:
Appliance : https://10.8.197.162

Comment 4 Harpreet Kataria 2018-03-28 21:02:02 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/3698

Comment 5 CFME Bot 2018-03-28 22:27:02 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/9a8f70020aacf0b2395db65005a02361503e1f2a
commit 9a8f70020aacf0b2395db65005a02361503e1f2a
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Mar 28 16:52:17 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Mar 28 16:52:17 2018 -0400

    Fixed id of currentTab

    "metrics" tab id was renamed to container_metircs in https://github.com/ManageIQ/manageiq-ui-classic/pull/3511, this inconsistency was causing Validate button to remain disabled on openshift provider add/edit screen on Metrics tab.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1561180

 app/assets/javascripts/controllers/ems_common/ems_common_form_controller.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Shveta 2018-10-12 20:46:53 UTC
Fixed in 5.10.0.19.20181009184346_1c8bf5d

Comment 7 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.